> For the complete documentation index, see [llms.txt](https://developer.dashdoc.com/docs/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developer.dashdoc.com/docs/api-reference/companies.md).

# Companies

## GET /companies/

> Companies list

````json
{"openapi":"3.0.0","info":{"title":"Dashdoc public API","version":"4.0"},"tags":[{"name":"Companies"}],"servers":[{"description":"Production","url":"https://api.dashdoc.eu/api/v4"},{"description":"Sandbox","url":"https://sandbox.dashdoc.eu/api/v4"}],"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"description":"Authentication is token based. You can issue a token for your API request from the ['API' section of the settings](http://dashdoc.eu/app/settings/api/) menu. The token MUST be sent in a `Authorization` header with each request.\n\n\n**Example of authenticated request**\n```\n$ curl -X GET -H \"Authorization: Token <your token>\" \"https://api.dashdoc.eu/api/v4/\"\n```\n","in":"header","name":"Authentication","type":"apiKey"}},"schemas":{"Companies":{"properties":{"count":{"type":"integer"},"next":{"nullable":true,"type":"string"},"previous":{"nullable":true,"type":"string"},"results":{"items":{"$ref":"#/components/schemas/FullCompany"},"type":"array"}},"type":"object"},"FullCompany":{"properties":{"pk":{"description":"Dashdoc's internal id.","type":"number"},"name":{"type":"string"},"addresses":{"items":{"$ref":"#/components/schemas/AddressForCompany"},"type":"array"},"phone_number":{"type":"string"},"email":{"format":"email","type":"string"},"siren":{"type":"string"},"trade_number":{"type":"string"},"vat_number":{"type":"string"},"country":{"$ref":"#/components/schemas/country"},"has_loggable_managers":{"description":"Ignore. Dashdoc technical data.","type":"boolean"},"contacts":{"items":{"$ref":"#/components/schemas/Contact"},"type":"array"},"has_pending_invites":{"description":"Ignore. Dashdoc technical data.","type":"boolean"},"primary_address":{"$ref":"#/components/schemas/PrimaryAddress_1"},"transports_in_last_month":{"description":"Ignore. Dashdoc technical data.","type":"integer"},"is_verified":{"description":"Ignore. Dashdoc technical data.","type":"boolean"},"can_invite_to":{"description":"Ignore. Dashdoc technical data.","type":"boolean"},"remote_id":{"description":"The id of the company in your system.","type":"string"},"invoicing_remote_id":{"description":"The id of the company in your invoicing system.","type":"string"},"notes":{"description":"Notes for this company, only visibile to your team members","type":"string"},"account_code":{"description":"The accounting ledger code (\"compte de tiers\") used for this company when it is a customer/shipper.","type":"string"},"side_account_code":{"description":"The auxiliary accounting code used for this company when it is a customer/shipper.","type":"string"},"purchase_account_code":{"description":"The accounting ledger code (\"compte de tiers\") used for this company when it is a supplier/carrier.","type":"string"},"purchase_side_account_code":{"description":"The auxiliary accounting code used for this company when it is a supplier/carrier.","type":"string"},"tags":{"description":"List of tags applied to the company.","items":{"$ref":"#/components/schemas/Tag"},"type":"array"}},"type":"object"},"AddressForCompany":{"properties":{"pk":{"description":"Dashdoc's internal id.","type":"number"},"name":{"type":"string"},"address":{"type":"string"},"city":{"type":"string"},"postcode":{"type":"string"},"country":{"$ref":"#/components/schemas/country"},"latitude":{"$ref":"#/components/schemas/latitude"},"longitude":{"$ref":"#/components/schemas/longitude"},"radius":{"default":500,"description":"Radius around the GPS coordinates within which the address is located (in meters)","type":"integer"},"coords_validated":{"default":false,"description":"if `true`, when this address is used as a loading or unloading site, the mobile app displays an itinerary button to start GPS app with guidance to these coordinates","type":"boolean"},"is_demo":{"$ref":"#/components/schemas/is_demo"},"is_carrier":{"type":"boolean"},"is_shipper":{"type":"boolean"},"is_origin":{"$ref":"#/components/schemas/address_is_origin_and_is_destination"},"is_destination":{"$ref":"#/components/schemas/address_is_origin_and_is_destination"},"created_by":{"$ref":"#/components/schemas/created-by"},"created_by_user":{"$ref":"#/components/schemas/created-by-user"},"created":{"$ref":"#/components/schemas/created"},"remote_id":{"description":"The id of the address in your system.","type":"string"}},"type":"object"},"country":{"description":"Only the 2-character codification is accepted (ISO 3166-1 alpha-2)","type":"string"},"latitude":{"description":"Latitude using the decimal GPS coordinates (WGS84). At 7 decimals, the position is accurate around the centimeter.","format":"float","nullable":true,"type":"number"},"longitude":{"description":"Longitude using the decimal GPS coordinates (WGS84). At 7 decimals, the position is accurate around the centimeter.","format":"float","nullable":true,"type":"number"},"is_demo":{"description":"Indicates that the address is a fake one created from demonstration. Everything linked to it will be deleted when using the 'Delete demo content' button in company parameters","type":"boolean"},"address_is_origin_and_is_destination":{"description":"Whether this address is a \"Logistic Points\" and will be usable as pickup/delivery point.\nThe distinction between origin/pickup and destination/delivery was merged as a single \"Logistic Point\" concept. `is_origin` implies `is_destination` and vice-versa.\n","type":"boolean"},"created-by":{"nullable":true,"properties":{"pk":{"description":"company id","type":"number"},"name":{"description":"name of the company","type":"string"}},"type":"object"},"created-by-user":{"nullable":true,"properties":{"pk":{"type":"number"},"display_name":{"type":"string"},"company":{"description":"The company id who created the address","type":"number"},"trucker_id":{"description":"The trucker id who created the address","type":"number"}},"type":"object"},"created":{"description":"Date of creation on our server","format":"date-time","type":"string"},"Contact":{"properties":{"uid":{"format":"uuid","type":"string"},"created":{"$ref":"#/components/schemas/created"},"company":{"$ref":"#/components/schemas/Company"},"first_name":{"type":"string"},"last_name":{"type":"string"},"email":{"format":"email","type":"string"},"phone_number":{"type":"string"},"fax_number":{"type":"string"},"remote_id":{"description":"The id of the contact in your system","type":"string"},"is_manager":{"description":"Ignore. Dashdoc technical data.","type":"boolean"},"has_pending_invite":{"description":"Ignore. Dashdoc technical data.","type":"boolean"},"is_invitable":{"description":"Ignore. Dashdoc technical data.","type":"boolean"},"invitation_link":{"format":"url","nullable":true,"type":"string"}},"type":"object"},"Company":{"properties":{"pk":{"description":"Dashdoc's internal id.","type":"number"},"remote_id":{"type":"string"},"created":{"format":"date-time","type":"object"},"updated":{"format":"date-time","type":"string"},"deleted":{"type":"boolean"},"invoicing_remote_id":{"description":"The id of the company in your invoicing system.","type":"string"},"name":{"type":"string"},"phone_number":{"type":"string"},"email":{"type":"string"},"siren":{"type":"string"},"trade_number":{"type":"string"},"country":{"$ref":"#/components/schemas/country"},"comments":{"type":"string"},"vat_number":{"type":"string"},"is_verified":{"type":"boolean"},"settings_transport_order_observations":{"type":"string"},"settings_constrain_reference_edition":{"type":"boolean"},"account_type":{"description":"Ignore. Dashdoc technical data.","type":"string"},"logo":{"description":"The URL of your logo","nullable":true,"type":"string"},"subscription_access":{"type":"object"},"settings":{"type":"object"},"primary_address":{"$ref":"#/components/schemas/PrimaryAddress_1"},"managers":{"items":{"$ref":"#/components/schemas/Managers"},"type":"array"},"has_loggable_managers":{"description":"Ignore. Dashdoc technical data.","type":"boolean"}},"type":"object"},"PrimaryAddress_1":{"properties":{"pk":{"description":"Dashdoc's internal id.","type":"number"},"name":{"type":"string"},"address":{"type":"string"},"city":{"type":"string"},"postcode":{"type":"string"},"country":{"$ref":"#/components/schemas/country"},"latitude":{"$ref":"#/components/schemas/latitude"},"longitude":{"$ref":"#/components/schemas/longitude"},"radius":{"default":500,"description":"Radius around the GPS coordinates within which the address is located (in meters)","type":"integer"},"coords_validated":{"default":false,"description":"if `true`, when this address is used as a loading or unloading site, the mobile app displays an itinerary button to start GPS app with guidance to these coordinates","type":"boolean"},"is_demo":{"$ref":"#/components/schemas/is_demo"},"is_carrier":{"description":"Whether this company is considered a carrier","type":"boolean"},"is_shipper":{"description":"Whether this company is considered a shipper","type":"boolean"},"is_origin":{"description":"Legacy, not relevant for a company's primary address. Consider creating a separate address associated with this partner instead.\n","type":"boolean"},"is_destination":{"description":"Legacy, not relevant for a company's primary address. Consider creating a separate address associated with this partner instead.\n","type":"boolean"},"created_by":{"$ref":"#/components/schemas/created-by"},"created_by_user":{"$ref":"#/components/schemas/created-by-user"},"created":{"$ref":"#/components/schemas/created"},"remote_id":{"description":"The id of the address in your system.","type":"string"}},"type":"object"},"Managers":{"properties":{"pk":{"description":"Dashdoc's internal id.","type":"number"},"user":{"$ref":"#/components/schemas/Managers_user"},"display_name":{"type":"string"},"role":{"type":"string"}},"type":"object"},"Managers_user":{"properties":{"email":{"format":"email","type":"string"},"first_name":{"type":"string"},"last_name":{"type":"string"}},"type":"object"},"Tag":{"properties":{"pk":{"description":"The unique identifier of the tag","type":"integer"},"name":{"description":"The name of the tag","type":"string"},"color":{"description":"The color of the tag in hex format","type":"string"},"tag_group_id":{"description":"The ID of the tag group this tag belongs to, if any","nullable":true,"type":"integer"}},"required":["color","name","pk"],"type":"object"}}},"paths":{"/companies/":{"get":{"operationId":"listCompanies","parameters":[{"description":"A page number within the paginated result set.","in":"query","name":"page","required":false,"schema":{"type":"integer"}},{"description":"Case insentive filter on company name","in":"query","name":"text","required":false,"schema":{"type":"string"}},{"description":"Filter companies updated after or at a certain date","in":"query","name":"updated__gte","required":false,"schema":{"format":"date-time","type":"string"}},{"description":"Filter companies updated before or at a certain date","in":"query","name":"updated__lte","required":false,"schema":{"format":"date-time","type":"string"}},{"description":"Filter companies updated after a certain date","in":"query","name":"updated__gt","required":false,"schema":{"format":"date-time","type":"string"}},{"description":"Filter companies updated before a certain date","in":"query","name":"updated__lt","required":false,"schema":{"format":"date-time","type":"string"}}],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Companies"}}},"description":"Get successful"}},"summary":"Companies list","tags":["Companies"]}}}}
````

## Create a company

> Creates a company in your address book. \
> \
> Controls occur to prevent from creating distinct companies objects that would actually represent the same. \
> \
> Unicity control is performed on attributes in this order to determine if it already exists: \
> \
> \* \`remote\_id\` \
> \
> \* \`trade\_number\` \
> \
> \* \`name\`

````json
{"openapi":"3.0.0","info":{"title":"Dashdoc public API","version":"4.0"},"tags":[{"name":"Companies"}],"servers":[{"description":"Production","url":"https://api.dashdoc.eu/api/v4"},{"description":"Sandbox","url":"https://sandbox.dashdoc.eu/api/v4"}],"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"description":"Authentication is token based. You can issue a token for your API request from the ['API' section of the settings](http://dashdoc.eu/app/settings/api/) menu. The token MUST be sent in a `Authorization` header with each request.\n\n\n**Example of authenticated request**\n```\n$ curl -X GET -H \"Authorization: Token <your token>\" \"https://api.dashdoc.eu/api/v4/\"\n```\n","in":"header","name":"Authentication","type":"apiKey"}},"schemas":{"NewCompany":{"properties":{"name":{"type":"string"},"phone_number":{"type":"string"},"email":{"format":"email","type":"string"},"siren":{"type":"string"},"trade_number":{"type":"string"},"vat_number":{"type":"string"},"country":{"$ref":"#/components/schemas/country"},"remote_id":{"description":"The ID of the company in your system. It has to be unique among all your companies.","type":"string"},"invoicing_remote_id":{"description":"The id of the company in your invoicing system.","type":"string"},"notes":{"description":"Notes for this company, only visibile to your team members","type":"string"},"account_code":{"description":"The accounting ledger code (\"compte de tiers\") used for this company when it is a customer/shipper.","type":"string"},"side_account_code":{"description":"The auxiliary accounting code used for this company when it is a customer/shipper.","type":"string"},"purchase_account_code":{"description":"The accounting ledger code (\"compte de tiers\") used for this company when it is a supplier/carrier.","type":"string"},"purchase_side_account_code":{"description":"The auxiliary accounting code used for this company when it is a supplier/carrier.","type":"string"},"primary_address":{"$ref":"#/components/schemas/PrimaryAddress"},"tags":{"description":"List of tags applied to the company.","items":{"$ref":"#/components/schemas/Tag"},"type":"array"}},"required":["country","name"],"type":"object"},"country":{"description":"Only the 2-character codification is accepted (ISO 3166-1 alpha-2)","type":"string"},"PrimaryAddress":{"properties":{"pk":{"type":"string"},"name":{"maxLength":200,"type":"string"},"address":{"maxLength":200,"type":"string"},"city":{"maxLength":100,"type":"string"},"postcode":{"maxLength":100,"type":"string"},"country":{"$ref":"#/components/schemas/country"},"latitude":{"$ref":"#/components/schemas/latitude"},"longitude":{"$ref":"#/components/schemas/longitude"},"radius":{"default":500,"description":"Radius around the GPS coordinates within which the address is located (in meters)","type":"integer"},"coords_validated":{"default":false,"description":"if `true`, when this address is used as a loading or unloading site, the mobile app displays an itinerary button to start GPS app with guidance to these coordinates","type":"boolean"},"is_demo":{"$ref":"#/components/schemas/is_demo"},"is_carrier":{"description":"Whether this company is considered a carrier.","type":"boolean"},"is_shipper":{"description":"Whether this company is considered a shipper.","type":"boolean"},"is_origin":{"description":"Legacy, not relevant for a company's primary address.","type":"boolean"},"is_destination":{"description":"Legacy, not relevant for a company's primary address.","type":"boolean"},"created_by":{"type":"number"},"created":{"description":"Date of creation on our server","format":"date-time","type":"string"},"instructions":{"type":"string"},"remote_id":{"description":"The id of the address in your system.","type":"string"}},"type":"object"},"latitude":{"description":"Latitude using the decimal GPS coordinates (WGS84). At 7 decimals, the position is accurate around the centimeter.","format":"float","nullable":true,"type":"number"},"longitude":{"description":"Longitude using the decimal GPS coordinates (WGS84). At 7 decimals, the position is accurate around the centimeter.","format":"float","nullable":true,"type":"number"},"is_demo":{"description":"Indicates that the address is a fake one created from demonstration. Everything linked to it will be deleted when using the 'Delete demo content' button in company parameters","type":"boolean"},"Tag":{"properties":{"pk":{"description":"The unique identifier of the tag","type":"integer"},"name":{"description":"The name of the tag","type":"string"},"color":{"description":"The color of the tag in hex format","type":"string"},"tag_group_id":{"description":"The ID of the tag group this tag belongs to, if any","nullable":true,"type":"integer"}},"required":["color","name","pk"],"type":"object"},"FullCompany":{"properties":{"pk":{"description":"Dashdoc's internal id.","type":"number"},"name":{"type":"string"},"addresses":{"items":{"$ref":"#/components/schemas/AddressForCompany"},"type":"array"},"phone_number":{"type":"string"},"email":{"format":"email","type":"string"},"siren":{"type":"string"},"trade_number":{"type":"string"},"vat_number":{"type":"string"},"country":{"$ref":"#/components/schemas/country"},"has_loggable_managers":{"description":"Ignore. Dashdoc technical data.","type":"boolean"},"contacts":{"items":{"$ref":"#/components/schemas/Contact"},"type":"array"},"has_pending_invites":{"description":"Ignore. Dashdoc technical data.","type":"boolean"},"primary_address":{"$ref":"#/components/schemas/PrimaryAddress_1"},"transports_in_last_month":{"description":"Ignore. Dashdoc technical data.","type":"integer"},"is_verified":{"description":"Ignore. Dashdoc technical data.","type":"boolean"},"can_invite_to":{"description":"Ignore. Dashdoc technical data.","type":"boolean"},"remote_id":{"description":"The id of the company in your system.","type":"string"},"invoicing_remote_id":{"description":"The id of the company in your invoicing system.","type":"string"},"notes":{"description":"Notes for this company, only visibile to your team members","type":"string"},"account_code":{"description":"The accounting ledger code (\"compte de tiers\") used for this company when it is a customer/shipper.","type":"string"},"side_account_code":{"description":"The auxiliary accounting code used for this company when it is a customer/shipper.","type":"string"},"purchase_account_code":{"description":"The accounting ledger code (\"compte de tiers\") used for this company when it is a supplier/carrier.","type":"string"},"purchase_side_account_code":{"description":"The auxiliary accounting code used for this company when it is a supplier/carrier.","type":"string"},"tags":{"description":"List of tags applied to the company.","items":{"$ref":"#/components/schemas/Tag"},"type":"array"}},"type":"object"},"AddressForCompany":{"properties":{"pk":{"description":"Dashdoc's internal id.","type":"number"},"name":{"type":"string"},"address":{"type":"string"},"city":{"type":"string"},"postcode":{"type":"string"},"country":{"$ref":"#/components/schemas/country"},"latitude":{"$ref":"#/components/schemas/latitude"},"longitude":{"$ref":"#/components/schemas/longitude"},"radius":{"default":500,"description":"Radius around the GPS coordinates within which the address is located (in meters)","type":"integer"},"coords_validated":{"default":false,"description":"if `true`, when this address is used as a loading or unloading site, the mobile app displays an itinerary button to start GPS app with guidance to these coordinates","type":"boolean"},"is_demo":{"$ref":"#/components/schemas/is_demo"},"is_carrier":{"type":"boolean"},"is_shipper":{"type":"boolean"},"is_origin":{"$ref":"#/components/schemas/address_is_origin_and_is_destination"},"is_destination":{"$ref":"#/components/schemas/address_is_origin_and_is_destination"},"created_by":{"$ref":"#/components/schemas/created-by"},"created_by_user":{"$ref":"#/components/schemas/created-by-user"},"created":{"$ref":"#/components/schemas/created"},"remote_id":{"description":"The id of the address in your system.","type":"string"}},"type":"object"},"address_is_origin_and_is_destination":{"description":"Whether this address is a \"Logistic Points\" and will be usable as pickup/delivery point.\nThe distinction between origin/pickup and destination/delivery was merged as a single \"Logistic Point\" concept. `is_origin` implies `is_destination` and vice-versa.\n","type":"boolean"},"created-by":{"nullable":true,"properties":{"pk":{"description":"company id","type":"number"},"name":{"description":"name of the company","type":"string"}},"type":"object"},"created-by-user":{"nullable":true,"properties":{"pk":{"type":"number"},"display_name":{"type":"string"},"company":{"description":"The company id who created the address","type":"number"},"trucker_id":{"description":"The trucker id who created the address","type":"number"}},"type":"object"},"created":{"description":"Date of creation on our server","format":"date-time","type":"string"},"Contact":{"properties":{"uid":{"format":"uuid","type":"string"},"created":{"$ref":"#/components/schemas/created"},"company":{"$ref":"#/components/schemas/Company"},"first_name":{"type":"string"},"last_name":{"type":"string"},"email":{"format":"email","type":"string"},"phone_number":{"type":"string"},"fax_number":{"type":"string"},"remote_id":{"description":"The id of the contact in your system","type":"string"},"is_manager":{"description":"Ignore. Dashdoc technical data.","type":"boolean"},"has_pending_invite":{"description":"Ignore. Dashdoc technical data.","type":"boolean"},"is_invitable":{"description":"Ignore. Dashdoc technical data.","type":"boolean"},"invitation_link":{"format":"url","nullable":true,"type":"string"}},"type":"object"},"Company":{"properties":{"pk":{"description":"Dashdoc's internal id.","type":"number"},"remote_id":{"type":"string"},"created":{"format":"date-time","type":"object"},"updated":{"format":"date-time","type":"string"},"deleted":{"type":"boolean"},"invoicing_remote_id":{"description":"The id of the company in your invoicing system.","type":"string"},"name":{"type":"string"},"phone_number":{"type":"string"},"email":{"type":"string"},"siren":{"type":"string"},"trade_number":{"type":"string"},"country":{"$ref":"#/components/schemas/country"},"comments":{"type":"string"},"vat_number":{"type":"string"},"is_verified":{"type":"boolean"},"settings_transport_order_observations":{"type":"string"},"settings_constrain_reference_edition":{"type":"boolean"},"account_type":{"description":"Ignore. Dashdoc technical data.","type":"string"},"logo":{"description":"The URL of your logo","nullable":true,"type":"string"},"subscription_access":{"type":"object"},"settings":{"type":"object"},"primary_address":{"$ref":"#/components/schemas/PrimaryAddress_1"},"managers":{"items":{"$ref":"#/components/schemas/Managers"},"type":"array"},"has_loggable_managers":{"description":"Ignore. Dashdoc technical data.","type":"boolean"}},"type":"object"},"PrimaryAddress_1":{"properties":{"pk":{"description":"Dashdoc's internal id.","type":"number"},"name":{"type":"string"},"address":{"type":"string"},"city":{"type":"string"},"postcode":{"type":"string"},"country":{"$ref":"#/components/schemas/country"},"latitude":{"$ref":"#/components/schemas/latitude"},"longitude":{"$ref":"#/components/schemas/longitude"},"radius":{"default":500,"description":"Radius around the GPS coordinates within which the address is located (in meters)","type":"integer"},"coords_validated":{"default":false,"description":"if `true`, when this address is used as a loading or unloading site, the mobile app displays an itinerary button to start GPS app with guidance to these coordinates","type":"boolean"},"is_demo":{"$ref":"#/components/schemas/is_demo"},"is_carrier":{"description":"Whether this company is considered a carrier","type":"boolean"},"is_shipper":{"description":"Whether this company is considered a shipper","type":"boolean"},"is_origin":{"description":"Legacy, not relevant for a company's primary address. Consider creating a separate address associated with this partner instead.\n","type":"boolean"},"is_destination":{"description":"Legacy, not relevant for a company's primary address. Consider creating a separate address associated with this partner instead.\n","type":"boolean"},"created_by":{"$ref":"#/components/schemas/created-by"},"created_by_user":{"$ref":"#/components/schemas/created-by-user"},"created":{"$ref":"#/components/schemas/created"},"remote_id":{"description":"The id of the address in your system.","type":"string"}},"type":"object"},"Managers":{"properties":{"pk":{"description":"Dashdoc's internal id.","type":"number"},"user":{"$ref":"#/components/schemas/Managers_user"},"display_name":{"type":"string"},"role":{"type":"string"}},"type":"object"},"Managers_user":{"properties":{"email":{"format":"email","type":"string"},"first_name":{"type":"string"},"last_name":{"type":"string"}},"type":"object"}}},"paths":{"/companies/":{"post":{"description":"Creates a company in your address book. \n\nControls occur to prevent from creating distinct companies objects that would actually represent the same. \n\nUnicity control is performed on attributes in this order to determine if it already exists: \n\n* `remote_id` \n\n* `trade_number` \n\n* `name`","operationId":"createCompanies","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/NewCompany"}}},"required":true},"responses":{"201":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/FullCompany"}}},"description":"Create successful"}},"summary":"Create a company","tags":["Companies"]}}}}
````

## GET /companies/{pk\_or\_remote\_id}/

> Read a company

````json
{"openapi":"3.0.0","info":{"title":"Dashdoc public API","version":"4.0"},"tags":[{"name":"Companies"}],"servers":[{"description":"Production","url":"https://api.dashdoc.eu/api/v4"},{"description":"Sandbox","url":"https://sandbox.dashdoc.eu/api/v4"}],"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"description":"Authentication is token based. You can issue a token for your API request from the ['API' section of the settings](http://dashdoc.eu/app/settings/api/) menu. The token MUST be sent in a `Authorization` header with each request.\n\n\n**Example of authenticated request**\n```\n$ curl -X GET -H \"Authorization: Token <your token>\" \"https://api.dashdoc.eu/api/v4/\"\n```\n","in":"header","name":"Authentication","type":"apiKey"}},"schemas":{"FullCompany":{"properties":{"pk":{"description":"Dashdoc's internal id.","type":"number"},"name":{"type":"string"},"addresses":{"items":{"$ref":"#/components/schemas/AddressForCompany"},"type":"array"},"phone_number":{"type":"string"},"email":{"format":"email","type":"string"},"siren":{"type":"string"},"trade_number":{"type":"string"},"vat_number":{"type":"string"},"country":{"$ref":"#/components/schemas/country"},"has_loggable_managers":{"description":"Ignore. Dashdoc technical data.","type":"boolean"},"contacts":{"items":{"$ref":"#/components/schemas/Contact"},"type":"array"},"has_pending_invites":{"description":"Ignore. Dashdoc technical data.","type":"boolean"},"primary_address":{"$ref":"#/components/schemas/PrimaryAddress_1"},"transports_in_last_month":{"description":"Ignore. Dashdoc technical data.","type":"integer"},"is_verified":{"description":"Ignore. Dashdoc technical data.","type":"boolean"},"can_invite_to":{"description":"Ignore. Dashdoc technical data.","type":"boolean"},"remote_id":{"description":"The id of the company in your system.","type":"string"},"invoicing_remote_id":{"description":"The id of the company in your invoicing system.","type":"string"},"notes":{"description":"Notes for this company, only visibile to your team members","type":"string"},"account_code":{"description":"The accounting ledger code (\"compte de tiers\") used for this company when it is a customer/shipper.","type":"string"},"side_account_code":{"description":"The auxiliary accounting code used for this company when it is a customer/shipper.","type":"string"},"purchase_account_code":{"description":"The accounting ledger code (\"compte de tiers\") used for this company when it is a supplier/carrier.","type":"string"},"purchase_side_account_code":{"description":"The auxiliary accounting code used for this company when it is a supplier/carrier.","type":"string"},"tags":{"description":"List of tags applied to the company.","items":{"$ref":"#/components/schemas/Tag"},"type":"array"}},"type":"object"},"AddressForCompany":{"properties":{"pk":{"description":"Dashdoc's internal id.","type":"number"},"name":{"type":"string"},"address":{"type":"string"},"city":{"type":"string"},"postcode":{"type":"string"},"country":{"$ref":"#/components/schemas/country"},"latitude":{"$ref":"#/components/schemas/latitude"},"longitude":{"$ref":"#/components/schemas/longitude"},"radius":{"default":500,"description":"Radius around the GPS coordinates within which the address is located (in meters)","type":"integer"},"coords_validated":{"default":false,"description":"if `true`, when this address is used as a loading or unloading site, the mobile app displays an itinerary button to start GPS app with guidance to these coordinates","type":"boolean"},"is_demo":{"$ref":"#/components/schemas/is_demo"},"is_carrier":{"type":"boolean"},"is_shipper":{"type":"boolean"},"is_origin":{"$ref":"#/components/schemas/address_is_origin_and_is_destination"},"is_destination":{"$ref":"#/components/schemas/address_is_origin_and_is_destination"},"created_by":{"$ref":"#/components/schemas/created-by"},"created_by_user":{"$ref":"#/components/schemas/created-by-user"},"created":{"$ref":"#/components/schemas/created"},"remote_id":{"description":"The id of the address in your system.","type":"string"}},"type":"object"},"country":{"description":"Only the 2-character codification is accepted (ISO 3166-1 alpha-2)","type":"string"},"latitude":{"description":"Latitude using the decimal GPS coordinates (WGS84). At 7 decimals, the position is accurate around the centimeter.","format":"float","nullable":true,"type":"number"},"longitude":{"description":"Longitude using the decimal GPS coordinates (WGS84). At 7 decimals, the position is accurate around the centimeter.","format":"float","nullable":true,"type":"number"},"is_demo":{"description":"Indicates that the address is a fake one created from demonstration. Everything linked to it will be deleted when using the 'Delete demo content' button in company parameters","type":"boolean"},"address_is_origin_and_is_destination":{"description":"Whether this address is a \"Logistic Points\" and will be usable as pickup/delivery point.\nThe distinction between origin/pickup and destination/delivery was merged as a single \"Logistic Point\" concept. `is_origin` implies `is_destination` and vice-versa.\n","type":"boolean"},"created-by":{"nullable":true,"properties":{"pk":{"description":"company id","type":"number"},"name":{"description":"name of the company","type":"string"}},"type":"object"},"created-by-user":{"nullable":true,"properties":{"pk":{"type":"number"},"display_name":{"type":"string"},"company":{"description":"The company id who created the address","type":"number"},"trucker_id":{"description":"The trucker id who created the address","type":"number"}},"type":"object"},"created":{"description":"Date of creation on our server","format":"date-time","type":"string"},"Contact":{"properties":{"uid":{"format":"uuid","type":"string"},"created":{"$ref":"#/components/schemas/created"},"company":{"$ref":"#/components/schemas/Company"},"first_name":{"type":"string"},"last_name":{"type":"string"},"email":{"format":"email","type":"string"},"phone_number":{"type":"string"},"fax_number":{"type":"string"},"remote_id":{"description":"The id of the contact in your system","type":"string"},"is_manager":{"description":"Ignore. Dashdoc technical data.","type":"boolean"},"has_pending_invite":{"description":"Ignore. Dashdoc technical data.","type":"boolean"},"is_invitable":{"description":"Ignore. Dashdoc technical data.","type":"boolean"},"invitation_link":{"format":"url","nullable":true,"type":"string"}},"type":"object"},"Company":{"properties":{"pk":{"description":"Dashdoc's internal id.","type":"number"},"remote_id":{"type":"string"},"created":{"format":"date-time","type":"object"},"updated":{"format":"date-time","type":"string"},"deleted":{"type":"boolean"},"invoicing_remote_id":{"description":"The id of the company in your invoicing system.","type":"string"},"name":{"type":"string"},"phone_number":{"type":"string"},"email":{"type":"string"},"siren":{"type":"string"},"trade_number":{"type":"string"},"country":{"$ref":"#/components/schemas/country"},"comments":{"type":"string"},"vat_number":{"type":"string"},"is_verified":{"type":"boolean"},"settings_transport_order_observations":{"type":"string"},"settings_constrain_reference_edition":{"type":"boolean"},"account_type":{"description":"Ignore. Dashdoc technical data.","type":"string"},"logo":{"description":"The URL of your logo","nullable":true,"type":"string"},"subscription_access":{"type":"object"},"settings":{"type":"object"},"primary_address":{"$ref":"#/components/schemas/PrimaryAddress_1"},"managers":{"items":{"$ref":"#/components/schemas/Managers"},"type":"array"},"has_loggable_managers":{"description":"Ignore. Dashdoc technical data.","type":"boolean"}},"type":"object"},"PrimaryAddress_1":{"properties":{"pk":{"description":"Dashdoc's internal id.","type":"number"},"name":{"type":"string"},"address":{"type":"string"},"city":{"type":"string"},"postcode":{"type":"string"},"country":{"$ref":"#/components/schemas/country"},"latitude":{"$ref":"#/components/schemas/latitude"},"longitude":{"$ref":"#/components/schemas/longitude"},"radius":{"default":500,"description":"Radius around the GPS coordinates within which the address is located (in meters)","type":"integer"},"coords_validated":{"default":false,"description":"if `true`, when this address is used as a loading or unloading site, the mobile app displays an itinerary button to start GPS app with guidance to these coordinates","type":"boolean"},"is_demo":{"$ref":"#/components/schemas/is_demo"},"is_carrier":{"description":"Whether this company is considered a carrier","type":"boolean"},"is_shipper":{"description":"Whether this company is considered a shipper","type":"boolean"},"is_origin":{"description":"Legacy, not relevant for a company's primary address. Consider creating a separate address associated with this partner instead.\n","type":"boolean"},"is_destination":{"description":"Legacy, not relevant for a company's primary address. Consider creating a separate address associated with this partner instead.\n","type":"boolean"},"created_by":{"$ref":"#/components/schemas/created-by"},"created_by_user":{"$ref":"#/components/schemas/created-by-user"},"created":{"$ref":"#/components/schemas/created"},"remote_id":{"description":"The id of the address in your system.","type":"string"}},"type":"object"},"Managers":{"properties":{"pk":{"description":"Dashdoc's internal id.","type":"number"},"user":{"$ref":"#/components/schemas/Managers_user"},"display_name":{"type":"string"},"role":{"type":"string"}},"type":"object"},"Managers_user":{"properties":{"email":{"format":"email","type":"string"},"first_name":{"type":"string"},"last_name":{"type":"string"}},"type":"object"},"Tag":{"properties":{"pk":{"description":"The unique identifier of the tag","type":"integer"},"name":{"description":"The name of the tag","type":"string"},"color":{"description":"The color of the tag in hex format","type":"string"},"tag_group_id":{"description":"The ID of the tag group this tag belongs to, if any","nullable":true,"type":"integer"}},"required":["color","name","pk"],"type":"object"}}},"paths":{"/companies/{pk_or_remote_id}/":{"get":{"operationId":"readCompanies","parameters":[{"description":"Dashdoc `pk` or your `remote_id`. With a `remote_id`, you must add `lookup_field=remote_id` to the query parameters.","in":"path","name":"pk_or_remote_id","required":true,"schema":{"oneOf":[{"title":"pk","type":"integer"},{"title":"remote_id","type":"string"}]}},{"description":"Used to specify what field is used in the URL to identify the object you're requesting, e.g. with the `remote_id` (see path parameters)","in":"query","name":"lookup_field","required":false,"schema":{"type":"string"}}],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/FullCompany"}}},"description":"Get successful"}},"summary":"Read a company","tags":["Companies"]}}}}
````

## PATCH /companies/{pk\_or\_remote\_id}/

> Partially update a company

````json
{"openapi":"3.0.0","info":{"title":"Dashdoc public API","version":"4.0"},"tags":[{"name":"Companies"}],"servers":[{"description":"Production","url":"https://api.dashdoc.eu/api/v4"},{"description":"Sandbox","url":"https://sandbox.dashdoc.eu/api/v4"}],"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"description":"Authentication is token based. You can issue a token for your API request from the ['API' section of the settings](http://dashdoc.eu/app/settings/api/) menu. The token MUST be sent in a `Authorization` header with each request.\n\n\n**Example of authenticated request**\n```\n$ curl -X GET -H \"Authorization: Token <your token>\" \"https://api.dashdoc.eu/api/v4/\"\n```\n","in":"header","name":"Authentication","type":"apiKey"}},"schemas":{"UpdateCompany":{"properties":{"name":{"description":"Only updatable by the creator of the company, and if the company hasn't subscribed to Dashdoc","type":"string"},"phone_number":{"description":"Only updatable by the creator of the company, and if the company hasn't subscribed to Dashdoc","type":"string"},"email":{"description":"Only updatable by the creator of the company, and if the company hasn't subscribed to Dashdoc","format":"email","type":"string"},"siren":{"description":"Only updatable by the creator of the company, and if the company hasn't subscribed to Dashdoc","type":"string"},"trade_number":{"description":"Only updatable by the creator of the company, and if the company hasn't subscribed to Dashdoc","type":"string"},"vat_number":{"description":"Only updatable by the creator of the company, and if the company hasn't subscribed to Dashdoc","type":"string"},"country":{"$ref":"#/components/schemas/country"},"remote_id":{"description":"The ID of the company in your system. It has to be unique among all your companies.","type":"string"},"invoicing_remote_id":{"description":"The id of the company in your invoicing system.","type":"string"},"notes":{"description":"Notes for this company, only visibile to your team members","type":"string"},"account_code":{"description":"The accounting ledger code (\"compte de tiers\") used for this company when it is a customer/shipper. Send an empty string to clear it.","type":"string"},"side_account_code":{"description":"The auxiliary accounting code used for this company when it is a customer/shipper. Send an empty string to clear it.","type":"string"},"purchase_account_code":{"description":"The accounting ledger code (\"compte de tiers\") used for this company when it is a supplier/carrier. Send an empty string to clear it.","type":"string"},"purchase_side_account_code":{"description":"The auxiliary accounting code used for this company when it is a supplier/carrier. Send an empty string to clear it.","type":"string"},"primary_address":{"$ref":"#/components/schemas/PrimaryAddress"},"tags":{"description":"List of tags applied to the company.","items":{"$ref":"#/components/schemas/Tag"},"type":"array"}},"required":["country","name"],"type":"object"},"country":{"description":"Only the 2-character codification is accepted (ISO 3166-1 alpha-2)","type":"string"},"PrimaryAddress":{"properties":{"pk":{"type":"string"},"name":{"maxLength":200,"type":"string"},"address":{"maxLength":200,"type":"string"},"city":{"maxLength":100,"type":"string"},"postcode":{"maxLength":100,"type":"string"},"country":{"$ref":"#/components/schemas/country"},"latitude":{"$ref":"#/components/schemas/latitude"},"longitude":{"$ref":"#/components/schemas/longitude"},"radius":{"default":500,"description":"Radius around the GPS coordinates within which the address is located (in meters)","type":"integer"},"coords_validated":{"default":false,"description":"if `true`, when this address is used as a loading or unloading site, the mobile app displays an itinerary button to start GPS app with guidance to these coordinates","type":"boolean"},"is_demo":{"$ref":"#/components/schemas/is_demo"},"is_carrier":{"description":"Whether this company is considered a carrier.","type":"boolean"},"is_shipper":{"description":"Whether this company is considered a shipper.","type":"boolean"},"is_origin":{"description":"Legacy, not relevant for a company's primary address.","type":"boolean"},"is_destination":{"description":"Legacy, not relevant for a company's primary address.","type":"boolean"},"created_by":{"type":"number"},"created":{"description":"Date of creation on our server","format":"date-time","type":"string"},"instructions":{"type":"string"},"remote_id":{"description":"The id of the address in your system.","type":"string"}},"type":"object"},"latitude":{"description":"Latitude using the decimal GPS coordinates (WGS84). At 7 decimals, the position is accurate around the centimeter.","format":"float","nullable":true,"type":"number"},"longitude":{"description":"Longitude using the decimal GPS coordinates (WGS84). At 7 decimals, the position is accurate around the centimeter.","format":"float","nullable":true,"type":"number"},"is_demo":{"description":"Indicates that the address is a fake one created from demonstration. Everything linked to it will be deleted when using the 'Delete demo content' button in company parameters","type":"boolean"},"Tag":{"properties":{"pk":{"description":"The unique identifier of the tag","type":"integer"},"name":{"description":"The name of the tag","type":"string"},"color":{"description":"The color of the tag in hex format","type":"string"},"tag_group_id":{"description":"The ID of the tag group this tag belongs to, if any","nullable":true,"type":"integer"}},"required":["color","name","pk"],"type":"object"},"FullCompany":{"properties":{"pk":{"description":"Dashdoc's internal id.","type":"number"},"name":{"type":"string"},"addresses":{"items":{"$ref":"#/components/schemas/AddressForCompany"},"type":"array"},"phone_number":{"type":"string"},"email":{"format":"email","type":"string"},"siren":{"type":"string"},"trade_number":{"type":"string"},"vat_number":{"type":"string"},"country":{"$ref":"#/components/schemas/country"},"has_loggable_managers":{"description":"Ignore. Dashdoc technical data.","type":"boolean"},"contacts":{"items":{"$ref":"#/components/schemas/Contact"},"type":"array"},"has_pending_invites":{"description":"Ignore. Dashdoc technical data.","type":"boolean"},"primary_address":{"$ref":"#/components/schemas/PrimaryAddress_1"},"transports_in_last_month":{"description":"Ignore. Dashdoc technical data.","type":"integer"},"is_verified":{"description":"Ignore. Dashdoc technical data.","type":"boolean"},"can_invite_to":{"description":"Ignore. Dashdoc technical data.","type":"boolean"},"remote_id":{"description":"The id of the company in your system.","type":"string"},"invoicing_remote_id":{"description":"The id of the company in your invoicing system.","type":"string"},"notes":{"description":"Notes for this company, only visibile to your team members","type":"string"},"account_code":{"description":"The accounting ledger code (\"compte de tiers\") used for this company when it is a customer/shipper.","type":"string"},"side_account_code":{"description":"The auxiliary accounting code used for this company when it is a customer/shipper.","type":"string"},"purchase_account_code":{"description":"The accounting ledger code (\"compte de tiers\") used for this company when it is a supplier/carrier.","type":"string"},"purchase_side_account_code":{"description":"The auxiliary accounting code used for this company when it is a supplier/carrier.","type":"string"},"tags":{"description":"List of tags applied to the company.","items":{"$ref":"#/components/schemas/Tag"},"type":"array"}},"type":"object"},"AddressForCompany":{"properties":{"pk":{"description":"Dashdoc's internal id.","type":"number"},"name":{"type":"string"},"address":{"type":"string"},"city":{"type":"string"},"postcode":{"type":"string"},"country":{"$ref":"#/components/schemas/country"},"latitude":{"$ref":"#/components/schemas/latitude"},"longitude":{"$ref":"#/components/schemas/longitude"},"radius":{"default":500,"description":"Radius around the GPS coordinates within which the address is located (in meters)","type":"integer"},"coords_validated":{"default":false,"description":"if `true`, when this address is used as a loading or unloading site, the mobile app displays an itinerary button to start GPS app with guidance to these coordinates","type":"boolean"},"is_demo":{"$ref":"#/components/schemas/is_demo"},"is_carrier":{"type":"boolean"},"is_shipper":{"type":"boolean"},"is_origin":{"$ref":"#/components/schemas/address_is_origin_and_is_destination"},"is_destination":{"$ref":"#/components/schemas/address_is_origin_and_is_destination"},"created_by":{"$ref":"#/components/schemas/created-by"},"created_by_user":{"$ref":"#/components/schemas/created-by-user"},"created":{"$ref":"#/components/schemas/created"},"remote_id":{"description":"The id of the address in your system.","type":"string"}},"type":"object"},"address_is_origin_and_is_destination":{"description":"Whether this address is a \"Logistic Points\" and will be usable as pickup/delivery point.\nThe distinction between origin/pickup and destination/delivery was merged as a single \"Logistic Point\" concept. `is_origin` implies `is_destination` and vice-versa.\n","type":"boolean"},"created-by":{"nullable":true,"properties":{"pk":{"description":"company id","type":"number"},"name":{"description":"name of the company","type":"string"}},"type":"object"},"created-by-user":{"nullable":true,"properties":{"pk":{"type":"number"},"display_name":{"type":"string"},"company":{"description":"The company id who created the address","type":"number"},"trucker_id":{"description":"The trucker id who created the address","type":"number"}},"type":"object"},"created":{"description":"Date of creation on our server","format":"date-time","type":"string"},"Contact":{"properties":{"uid":{"format":"uuid","type":"string"},"created":{"$ref":"#/components/schemas/created"},"company":{"$ref":"#/components/schemas/Company"},"first_name":{"type":"string"},"last_name":{"type":"string"},"email":{"format":"email","type":"string"},"phone_number":{"type":"string"},"fax_number":{"type":"string"},"remote_id":{"description":"The id of the contact in your system","type":"string"},"is_manager":{"description":"Ignore. Dashdoc technical data.","type":"boolean"},"has_pending_invite":{"description":"Ignore. Dashdoc technical data.","type":"boolean"},"is_invitable":{"description":"Ignore. Dashdoc technical data.","type":"boolean"},"invitation_link":{"format":"url","nullable":true,"type":"string"}},"type":"object"},"Company":{"properties":{"pk":{"description":"Dashdoc's internal id.","type":"number"},"remote_id":{"type":"string"},"created":{"format":"date-time","type":"object"},"updated":{"format":"date-time","type":"string"},"deleted":{"type":"boolean"},"invoicing_remote_id":{"description":"The id of the company in your invoicing system.","type":"string"},"name":{"type":"string"},"phone_number":{"type":"string"},"email":{"type":"string"},"siren":{"type":"string"},"trade_number":{"type":"string"},"country":{"$ref":"#/components/schemas/country"},"comments":{"type":"string"},"vat_number":{"type":"string"},"is_verified":{"type":"boolean"},"settings_transport_order_observations":{"type":"string"},"settings_constrain_reference_edition":{"type":"boolean"},"account_type":{"description":"Ignore. Dashdoc technical data.","type":"string"},"logo":{"description":"The URL of your logo","nullable":true,"type":"string"},"subscription_access":{"type":"object"},"settings":{"type":"object"},"primary_address":{"$ref":"#/components/schemas/PrimaryAddress_1"},"managers":{"items":{"$ref":"#/components/schemas/Managers"},"type":"array"},"has_loggable_managers":{"description":"Ignore. Dashdoc technical data.","type":"boolean"}},"type":"object"},"PrimaryAddress_1":{"properties":{"pk":{"description":"Dashdoc's internal id.","type":"number"},"name":{"type":"string"},"address":{"type":"string"},"city":{"type":"string"},"postcode":{"type":"string"},"country":{"$ref":"#/components/schemas/country"},"latitude":{"$ref":"#/components/schemas/latitude"},"longitude":{"$ref":"#/components/schemas/longitude"},"radius":{"default":500,"description":"Radius around the GPS coordinates within which the address is located (in meters)","type":"integer"},"coords_validated":{"default":false,"description":"if `true`, when this address is used as a loading or unloading site, the mobile app displays an itinerary button to start GPS app with guidance to these coordinates","type":"boolean"},"is_demo":{"$ref":"#/components/schemas/is_demo"},"is_carrier":{"description":"Whether this company is considered a carrier","type":"boolean"},"is_shipper":{"description":"Whether this company is considered a shipper","type":"boolean"},"is_origin":{"description":"Legacy, not relevant for a company's primary address. Consider creating a separate address associated with this partner instead.\n","type":"boolean"},"is_destination":{"description":"Legacy, not relevant for a company's primary address. Consider creating a separate address associated with this partner instead.\n","type":"boolean"},"created_by":{"$ref":"#/components/schemas/created-by"},"created_by_user":{"$ref":"#/components/schemas/created-by-user"},"created":{"$ref":"#/components/schemas/created"},"remote_id":{"description":"The id of the address in your system.","type":"string"}},"type":"object"},"Managers":{"properties":{"pk":{"description":"Dashdoc's internal id.","type":"number"},"user":{"$ref":"#/components/schemas/Managers_user"},"display_name":{"type":"string"},"role":{"type":"string"}},"type":"object"},"Managers_user":{"properties":{"email":{"format":"email","type":"string"},"first_name":{"type":"string"},"last_name":{"type":"string"}},"type":"object"}}},"paths":{"/companies/{pk_or_remote_id}/":{"patch":{"operationId":"partialCompanies","parameters":[{"description":"Dashdoc `pk` or your `remote_id`. With a `remote_id`, you must add `lookup_field=remote_id` to the query parameters.","in":"path","name":"pk_or_remote_id","required":true,"schema":{"oneOf":[{"title":"pk","type":"integer"},{"title":"remote_id","type":"string"}]}},{"description":"Used to specify what field is used in the URL to identify the object you're requesting, e.g. with the `remote_id` (see path parameters)","in":"query","name":"lookup_field","required":false,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UpdateCompany"}}},"required":true},"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/FullCompany"}}},"description":"Update successful"}},"summary":"Partially update a company","tags":["Companies"]}}}}
````
